Skip to main content
PUT
Update Review Status By Sid

Path Parameters

session_id
string
required

Resource identifier of the session

Body

application/json

The request body resource

status
enum<string>
required

The reviewed status

  • APPROVED - Approve the review resource
  • REJECTED - Reject the review resource
  • REVOKED - Revoke an approved review
Available options:
APPROVED,
REJECTED,
REVOKED
Example:

"APPROVED"

force_review
boolean
Example:

false

time_window
object

Response

OK

access_duration
integer
default:1800000000000
read-only

The amount of time (nanoseconds) to allow access to the connection. It's valid only for jit type reviews

Example:

0

created_at
string
read-only

The time the resource was created

Example:

"2024-07-25T15:56:35.317601Z"

id
string<uuid>
read-only

Resource identifier

Example:

"9F9745B4-C77B-4D52-84D3-E24F67E3623C"

review_groups_data
object[]
read-only

Contains the groups that requires to approve this review

revoke_at
string
read-only

The time when this review was revoked

Example:

""

session
string<uuid>
read-only

The id of session

Example:

"35DB0A2F-E5CE-4AD8-A308-55C3108956E5"

status
enum<string>

The status of the review

  • PENDING - The resource is waiting to be reviewed
  • APPROVED - The resource is fully approved
  • REJECTED - The resource is fully rejected
  • REVOKED - The resource was revoked after being approved
  • PROCESSING - The review is being executed
  • EXECUTED - The review was executed
  • UNKNOWN - Unable to know the status of the review
Available options:
PENDING,
APPROVED,
REJECTED,
REVOKED,
PROCESSING,
EXECUTED,
UNKNOWN
time_window
object

The time window configuration that can execute the session

type
enum<string>

The type of the review

  • onetime - Represents a one time execution
  • jit - Represents a time based review
Available options:
onetime,
jit